
s = require 'glass'

function love.load()
	wd, ht = 1200, 700
	love.window.setMode( wd, ht, {borderless=true} )
	gt = 0
	love.window.setTitle( 'Reflective Balls' )
	screen = { wd-100, ht-100}
	love.mouse.setPosition( wd/2, ht/4 )
	s.effect:send( 'screen', screen )
	love.graphics.setBackgroundColor(0,0,45)
	mv = 5		-- height of light source
	end

function love.update( dt )
	gt = gt + dt
	s.effect:send( 'time', gt )
	mx, my = love.mouse.getPosition()
	s.effect:send( 'mouse', { 16*(mx-wd/2) / wd,16* (my) / ht})
	if love.keyboard.isDown( 'w' ) then mv=mv>-50 and mv-10*dt or -50 end
	if love.keyboard.isDown( 's' ) then mv=mv+10*dt end
	s.effect:send( 'mv', mv )
	end

function love.draw()
	love.graphics.setColor(255,255,255,255)
	love.graphics.setShader( s.effect )
	love.graphics.rectangle( "fill", 100,100,wd-200,ht-200)--0, 0, wd, ht )
	love.graphics.setShader()
	love.graphics.setColor( 255, 255, 255, 255 )
	love.graphics.print( 'fps: '..love.timer.getFPS(), 0, 0 )
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.push( 'quit' )	end
	end
